Public Types | Public Member Functions | Static Public Member Functions | List of all members
clan::NetGameEventValue Class Reference
clanNetwork NetGame

NetGameEventValue. More...

`#include <event_value.h>`

## Public Types
enum | Type { null, integer, uinteger, character, ucharacter, string, boolean, number, complex, binary }

## Public Member Functions
| NetGameEventValue ()
| NetGameEventValue (int value)
| Constructs a NetGameEventValue. More...
| NetGameEventValue (unsigned int value)
| Constructs a NetGameEventValue. More...
| NetGameEventValue (char value)
| Constructs a NetGameEventValue. More...
| NetGameEventValue (unsigned char value)
| Constructs a NetGameEventValue. More...
| NetGameEventValue (float value)
| Constructs a NetGameEventValue. More...
| NetGameEventValue (const std::string &value)
| Constructs a NetGameEventValue. More...
| NetGameEventValue (const char *str)
| Constructs a NetGameEventValue. More...
| NetGameEventValue (const wchar_t *str)
| Constructs a NetGameEventValue. More...
| NetGameEventValue (bool value)
| Constructs a NetGameEventValue. More...
| NetGameEventValue (const DataBuffer &value)
| Constructs a NetGameEventValue. More...
| NetGameEventValue (Type type)
| Constructs a NetGameEventValue. More...
void | add_member (const NetGameEventValue &value)
| Add member. More...
DataBuffer | get_binary () const
| To binary. More...
bool | get_boolean () const
| To boolean. More...
int | get_character () const
| To character. More...
int | get_integer () const
| To integer. More...
const NetGameEventValue & | get_member (unsigned int index) const
unsigned int | get_member_count () const
float | get_number () const
| To number. More...
std::string | get_string () const
| To string. More...
Type | get_type () const
| Get Type. More...
unsigned int | get_ucharacter () const
| To unsigned character. More...
unsigned int | get_uinteger () const
| To unsigned integer. More...
bool | is_binary () const
| Is Binary. More...
bool | is_boolean () const
| Is Boolean. More...
bool | is_character () const
| Is Character. More...
bool | is_complex () const
| Is Complex. More...
bool | is_integer () const
| Is Integer. More...
bool | is_null () const
| Is Null. More...
bool | is_number () const
| Is Number. More...
bool | is_string () const
| Is String. More...
bool | is_ucharacter () const
| Is Ucharacter. More...
bool | is_uinteger () const
| Is Uinteger. More...
| operator bool () const
| operator DataBuffer () const
| operator float () const
| operator int () const
| operator std::string () const
| operator unsigned char () const
| operator unsigned int () const
void | set_member (unsigned int index, const NetGameEventValue &value)
| Set member. More...

## Static Public Member Functions
static std::string | to_string (const NetGameEventValue &)
| Helper function to obtain a string representation of an EventValue object. More...

## Detailed Description

NetGameEventValue.

The documentation for this class was generated from the following file:

- event_value.h